#version 450
layout(location = 0) in vec3 aPos;
layout(location = 1) in vec2 aUV;
layout(std140, binding = 0) uniform Globals {
    mat4  uVP;
    vec3  uTint;
    float uHasView;
    float uGlowPass;
    float uTime;
};
layout(location = 0) out vec2 vUV;
layout(location = 1) out vec4 vClip;
void main() {
    vUV = aUV;
    vClip = uVP * vec4(aPos, 1.0);
    gl_Position = vClip;
}
